/*
 * BRLTTY - A background process providing access to the Linux console (when in
 *          text mode) for a blind person using a refreshable braille display.
 *
 * Copyright (C) 1995-2003 by The BRLTTY Team. All rights reserved.
 *
 * BRLTTY comes with ABSOLUTELY NO WARRANTY.
 *
 * This is free software, placed under the terms of the
 * GNU General Public License, as published by the Free Software
 * Foundation.  Please see the file COPYING for details.
 *
 * Web Page: http://mielke.cc/brltty/
 *
 * This software is maintained by Dave Mielke <dave@mielke.cc>.
 */

/*
#    Name:     IBM EBCDIC CP424 (Hebrew) to Unicode table
#    Unicode version: 3.0
#    Table version: 1.0
#    Table format:  Format A
#    Date:          1999 July 27
#    Authors:       Ken Whistler <kenw@sybase.com>
#
#	Copyright (c) 1998 - 1999 Unicode, Inc.  All Rights reserved.
#
#	This file is provided as-is by Unicode, Inc. (The Unicode Consortium).
#	No claims are made as to fitness for any particular purpose.  No
#	warranties of any kind are expressed or implied.  The recipient
#	agrees to determine applicability of information provided.  If this
#	file has been provided on optical media by Unicode, Inc., the sole
#	remedy for any claim will be exchange of defective media within 90
#	days of receipt.
#
#	Unicode, Inc. hereby grants the right to freely use the information
#	supplied in this file in the creation of products supporting the
#	Unicode Standard, and to make copies of this file in any form for
#	internal or external distribution as long as this notice remains
#	attached.
#
#	General notes:
#
#	This table contains the data the Unicode Consortium has on how
#       CP424 characters map into Unicode.
#
#    Format: Three tab-separated columns
#        Column #1 is the CP424 code (in hex)
#        Column #2 is the Unicode (in hex as 0xXXXX)
#        Column #3 is the Unicode name (follows a comment sign, '#')
#		(or for EBCDIC controls, the EBCDIC name in C1 space)
#
#    The entries are in CP424 order
#
#	Version history
#	1.0 version new.
#
#	Updated versions of this file may be found in:
#		<ftp://ftp.unicode.org/Public/MAPPINGS/>
#
#	Any comments or problems, contact <errata@unicode.org>
#	Please note that <errata@unicode.org> is an archival address;
#	notices will be checked, but do not expect an immediate response.
*/
[0x00]=0x0000, //	NULL
[0x01]=0x0001, //	START OF HEADING
[0x02]=0x0002, //	START OF TEXT
[0x03]=0x0003, //	END OF TEXT
[0x04]=0x009C, //	SELECT
[0x05]=0x0009, //	HORIZONTAL TABULATION
[0x06]=0x0086, //	REQUIRED NEW LINE
[0x07]=0x007F, //	DELETE
[0x08]=0x0097, //	GRAPHIC ESCAPE
[0x09]=0x008D, //	SUPERSCRIPT
[0x0A]=0x008E, //	REPEAT
[0x0B]=0x000B, //	VERTICAL TABULATION
[0x0C]=0x000C, //	FORM FEED
[0x0D]=0x000D, //	CARRIAGE RETURN
[0x0E]=0x000E, //	SHIFT OUT
[0x0F]=0x000F, //	SHIFT IN
[0x10]=0x0010, //	DATA LINK ESCAPE
[0x11]=0x0011, //	DEVICE CONTROL ONE
[0x12]=0x0012, //	DEVICE CONTROL TWO
[0x13]=0x0013, //	DEVICE CONTROL THREE
[0x14]=0x009D, //	RESTORE/ENABLE PRESENTATION
[0x15]=0x0085, //	NEW LINE
[0x16]=0x0008, //	BACKSPACE
[0x17]=0x0087, //	PROGRAM OPERATOR COMMUNICATION
[0x18]=0x0018, //	CANCEL
[0x19]=0x0019, //	END OF MEDIUM
[0x1A]=0x0092, //	UNIT BACK SPACE
[0x1B]=0x008F, //	CUSTOMER USE ONE
[0x1C]=0x001C, //	FILE SEPARATOR
[0x1D]=0x001D, //	GROUP SEPARATOR
[0x1E]=0x001E, //	RECORD SEPARATOR
[0x1F]=0x001F, //	UNIT SEPARATOR
[0x20]=0x0080, //	DIGIT SELECT
[0x21]=0x0081, //	START OF SIGNIFICANCE
[0x22]=0x0082, //	FIELD SEPARATOR
[0x23]=0x0083, //	WORD UNDERSCORE
[0x24]=0x0084, //	BYPASS OR INHIBIT PRESENTATION
[0x25]=0x000A, //	LINE FEED
[0x26]=0x0017, //	END OF TRANSMISSION BLOCK
[0x27]=0x001B, //	ESCAPE
[0x28]=0x0088, //	SET ATTRIBUTE
[0x29]=0x0089, //	START FIELD EXTENDED
[0x2A]=0x008A, //	SET MODE OR SWITCH
[0x2B]=0x008B, //	CONTROL SEQUENCE PREFIX
[0x2C]=0x008C, //	MODIFY FIELD ATTRIBUTE
[0x2D]=0x0005, //	ENQUIRY
[0x2E]=0x0006, //	ACKNOWLEDGE
[0x2F]=0x0007, //	BELL
[0x30]=0x0090, //	<reserved>
[0x31]=0x0091, //	<reserved>
[0x32]=0x0016, //	SYNCHRONOUS IDLE
[0x33]=0x0093, //	INDEX RETURN
[0x34]=0x0094, //	PRESENTATION POSITION
[0x35]=0x0095, //	TRANSPARENT
[0x36]=0x0096, //	NUMERIC BACKSPACE
[0x37]=0x0004, //	END OF TRANSMISSION
[0x38]=0x0098, //	SUBSCRIPT
[0x39]=0x0099, //	INDENT TABULATION
[0x3A]=0x009A, //	REVERSE FORM FEED
[0x3B]=0x009B, //	CUSTOMER USE THREE
[0x3C]=0x0014, //	DEVICE CONTROL FOUR
[0x3D]=0x0015, //	NEGATIVE ACKNOWLEDGE
[0x3E]=0x009E, //	<reserved>
[0x3F]=0x001A, //	SUBSTITUTE
[0x40]=0x0020, //	SPACE
[0x41]=0x05D0, //	HEBREW LETTER ALEF
[0x42]=0x05D1, //	HEBREW LETTER BET
[0x43]=0x05D2, //	HEBREW LETTER GIMEL
[0x44]=0x05D3, //	HEBREW LETTER DALET
[0x45]=0x05D4, //	HEBREW LETTER HE
[0x46]=0x05D5, //	HEBREW LETTER VAV
[0x47]=0x05D6, //	HEBREW LETTER ZAYIN
[0x48]=0x05D7, //	HEBREW LETTER HET
[0x49]=0x05D8, //	HEBREW LETTER TET
[0x4A]=0x00A2, //	CENT SIGN
[0x4B]=0x002E, //	FULL STOP
[0x4C]=0x003C, //	LESS-THAN SIGN
[0x4D]=0x0028, //	LEFT PARENTHESIS
[0x4E]=0x002B, //	PLUS SIGN
[0x4F]=0x007C, //	VERTICAL LINE
[0x50]=0x0026, //	AMPERSAND
[0x51]=0x05D9, //	HEBREW LETTER YOD
[0x52]=0x05DA, //	HEBREW LETTER FINAL KAF
[0x53]=0x05DB, //	HEBREW LETTER KAF
[0x54]=0x05DC, //	HEBREW LETTER LAMED
[0x55]=0x05DD, //	HEBREW LETTER FINAL MEM
[0x56]=0x05DE, //	HEBREW LETTER MEM
[0x57]=0x05DF, //	HEBREW LETTER FINAL NUN
[0x58]=0x05E0, //	HEBREW LETTER NUN
[0x59]=0x05E1, //	HEBREW LETTER SAMEKH
[0x5A]=0x0021, //	EXCLAMATION MARK
[0x5B]=0x0024, //	DOLLAR SIGN
[0x5C]=0x002A, //	ASTERISK
[0x5D]=0x0029, //	RIGHT PARENTHESIS
[0x5E]=0x003B, //	SEMICOLON
[0x5F]=0x00AC, //	NOT SIGN
[0x60]=0x002D, //	HYPHEN-MINUS
[0x61]=0x002F, //	SOLIDUS
[0x62]=0x05E2, //	HEBREW LETTER AYIN
[0x63]=0x05E3, //	HEBREW LETTER FINAL PE
[0x64]=0x05E4, //	HEBREW LETTER PE
[0x65]=0x05E5, //	HEBREW LETTER FINAL TSADI
[0x66]=0x05E6, //	HEBREW LETTER TSADI
[0x67]=0x05E7, //	HEBREW LETTER QOF
[0x68]=0x05E8, //	HEBREW LETTER RESH
[0x69]=0x05E9, //	HEBREW LETTER SHIN
[0x6A]=0x00A6, //	BROKEN BAR
[0x6B]=0x002C, //	COMMA
[0x6C]=0x0025, //	PERCENT SIGN
[0x6D]=0x005F, //	LOW LINE
[0x6E]=0x003E, //	GREATER-THAN SIGN
[0x6F]=0x003F, //	QUESTION MARK
[0x71]=0x05EA, //	HEBREW LETTER TAV
[0x74]=0x00A0, //	NO-BREAK SPACE
[0x78]=0x2017, //	DOUBLE LOW LINE
[0x79]=0x0060, //	GRAVE ACCENT
[0x7A]=0x003A, //	COLON
[0x7B]=0x0023, //	NUMBER SIGN
[0x7C]=0x0040, //	COMMERCIAL AT
[0x7D]=0x0027, //	APOSTROPHE
[0x7E]=0x003D, //	EQUALS SIGN
[0x7F]=0x0022, //	QUOTATION MARK
[0x81]=0x0061, //	LATIN SMALL LETTER A
[0x82]=0x0062, //	LATIN SMALL LETTER B
[0x83]=0x0063, //	LATIN SMALL LETTER C
[0x84]=0x0064, //	LATIN SMALL LETTER D
[0x85]=0x0065, //	LATIN SMALL LETTER E
[0x86]=0x0066, //	LATIN SMALL LETTER F
[0x87]=0x0067, //	LATIN SMALL LETTER G
[0x88]=0x0068, //	LATIN SMALL LETTER H
[0x89]=0x0069, //	LATIN SMALL LETTER I
[0x8A]=0x00AB, //	LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
[0x8B]=0x00BB, //	RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
[0x8F]=0x00B1, //	PLUS-MINUS SIGN
[0x90]=0x00B0, //	DEGREE SIGN
[0x91]=0x006A, //	LATIN SMALL LETTER J
[0x92]=0x006B, //	LATIN SMALL LETTER K
[0x93]=0x006C, //	LATIN SMALL LETTER L
[0x94]=0x006D, //	LATIN SMALL LETTER M
[0x95]=0x006E, //	LATIN SMALL LETTER N
[0x96]=0x006F, //	LATIN SMALL LETTER O
[0x97]=0x0070, //	LATIN SMALL LETTER P
[0x98]=0x0071, //	LATIN SMALL LETTER Q
[0x99]=0x0072, //	LATIN SMALL LETTER R
[0x9D]=0x00B8, //	CEDILLA
[0x9F]=0x00A4, //	CURRENCY SIGN
[0xA0]=0x00B5, //	MICRO SIGN
[0xA1]=0x007E, //	TILDE
[0xA2]=0x0073, //	LATIN SMALL LETTER S
[0xA3]=0x0074, //	LATIN SMALL LETTER T
[0xA4]=0x0075, //	LATIN SMALL LETTER U
[0xA5]=0x0076, //	LATIN SMALL LETTER V
[0xA6]=0x0077, //	LATIN SMALL LETTER W
[0xA7]=0x0078, //	LATIN SMALL LETTER X
[0xA8]=0x0079, //	LATIN SMALL LETTER Y
[0xA9]=0x007A, //	LATIN SMALL LETTER Z
[0xAF]=0x00AE, //	REGISTERED SIGN
[0xB0]=0x005E, //	CIRCUMFLEX ACCENT
[0xB1]=0x00A3, //	POUND SIGN
[0xB2]=0x00A5, //	YEN SIGN
[0xB3]=0x00B7, //	MIDDLE DOT
[0xB4]=0x00A9, //	COPYRIGHT SIGN
[0xB5]=0x00A7, //	SECTION SIGN
[0xB6]=0x00B6, //	PILCROW SIGN
[0xB7]=0x00BC, //	VULGAR FRACTION ONE QUARTER
[0xB8]=0x00BD, //	VULGAR FRACTION ONE HALF
[0xB9]=0x00BE, //	VULGAR FRACTION THREE QUARTERS
[0xBA]=0x005B, //	LEFT SQUARE BRACKET
[0xBB]=0x005D, //	RIGHT SQUARE BRACKET
[0xBC]=0x00AF, //	MACRON
[0xBD]=0x00A8, //	DIAERESIS
[0xBE]=0x00B4, //	ACUTE ACCENT
[0xBF]=0x00D7, //	MULTIPLICATION SIGN
[0xC0]=0x007B, //	LEFT CURLY BRACKET
[0xC1]=0x0041, //	LATIN CAPITAL LETTER A
[0xC2]=0x0042, //	LATIN CAPITAL LETTER B
[0xC3]=0x0043, //	LATIN CAPITAL LETTER C
[0xC4]=0x0044, //	LATIN CAPITAL LETTER D
[0xC5]=0x0045, //	LATIN CAPITAL LETTER E
[0xC6]=0x0046, //	LATIN CAPITAL LETTER F
[0xC7]=0x0047, //	LATIN CAPITAL LETTER G
[0xC8]=0x0048, //	LATIN CAPITAL LETTER H
[0xC9]=0x0049, //	LATIN CAPITAL LETTER I
[0xCA]=0x00AD, //	SOFT HYPHEN
[0xD0]=0x007D, //	RIGHT CURLY BRACKET
[0xD1]=0x004A, //	LATIN CAPITAL LETTER J
[0xD2]=0x004B, //	LATIN CAPITAL LETTER K
[0xD3]=0x004C, //	LATIN CAPITAL LETTER L
[0xD4]=0x004D, //	LATIN CAPITAL LETTER M
[0xD5]=0x004E, //	LATIN CAPITAL LETTER N
[0xD6]=0x004F, //	LATIN CAPITAL LETTER O
[0xD7]=0x0050, //	LATIN CAPITAL LETTER P
[0xD8]=0x0051, //	LATIN CAPITAL LETTER Q
[0xD9]=0x0052, //	LATIN CAPITAL LETTER R
[0xDA]=0x00B9, //	SUPERSCRIPT ONE
[0xE0]=0x005C, //	REVERSE SOLIDUS
[0xE1]=0x00F7, //	DIVISION SIGN
[0xE2]=0x0053, //	LATIN CAPITAL LETTER S
[0xE3]=0x0054, //	LATIN CAPITAL LETTER T
[0xE4]=0x0055, //	LATIN CAPITAL LETTER U
[0xE5]=0x0056, //	LATIN CAPITAL LETTER V
[0xE6]=0x0057, //	LATIN CAPITAL LETTER W
[0xE7]=0x0058, //	LATIN CAPITAL LETTER X
[0xE8]=0x0059, //	LATIN CAPITAL LETTER Y
[0xE9]=0x005A, //	LATIN CAPITAL LETTER Z
[0xEA]=0x00B2, //	SUPERSCRIPT TWO
[0xF0]=0x0030, //	DIGIT ZERO
[0xF1]=0x0031, //	DIGIT ONE
[0xF2]=0x0032, //	DIGIT TWO
[0xF3]=0x0033, //	DIGIT THREE
[0xF4]=0x0034, //	DIGIT FOUR
[0xF5]=0x0035, //	DIGIT FIVE
[0xF6]=0x0036, //	DIGIT SIX
[0xF7]=0x0037, //	DIGIT SEVEN
[0xF8]=0x0038, //	DIGIT EIGHT
[0xF9]=0x0039, //	DIGIT NINE
[0xFA]=0x00B3, //	SUPERSCRIPT THREE
[0xFF]=0x009F  //	EIGHT ONES
